---
title: PaymentAddress.addressLine
slug: Web/API/PaymentAddress/addressLine
tags:
  - API
  - Address
  - Payment Request
  - Payment Request API
  - PaymentRequest
  - Property
  - Read-only
  - Reference
  - payment
  - paymentAddress
---
<p>{{APIRef("Payment Request API")}}</p>

<p><span class="seoSummary">The <strong><code>addressLine</code></strong> read-only property of the {{domxref('PaymentAddress')}} interface is an array of {{domxref("DOMString")}} objects, each specifying a line of the address that is not covered by one of the other properties of <code>PaymentAddress</code>.</span> These lines may include the street name, house number, apartment number, rural delivery route, descriptive instructions, or post office box.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>paymentAddressLines</em> = <em>PaymentAddress</em>.addressLine;</pre>

<h3 id="Value">Value</h3>

<p>An array of {{domxref("DOMString")}} objects, each containing one line of the address. For example, the <code>addressLine</code> array for the Mozilla Space in London would have the following entries:</p>

<table class="standard-table">
 <caption>Example showing <code>addressLine</code> entries for an address in London</caption>
 <thead>
  <tr>
   <th scope="col">Index</th>
   <th scope="col">addressLine[] value</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>0</td>
   <td>Metal Box Factory</td>
  </tr>
  <tr>
   <td>1</td>
   <td>Suite 441, 4th floor</td>
  </tr>
  <tr>
   <td>2</td>
   <td>30 Great Guildford Street</td>
  </tr>
 </tbody>
</table>

<p>These, combined with additional values for other properties of the {{domxref("PaymentAddress")}}, would represent the full address, which is:</p>

<p>Mozilla<br>
 Metal Box Factory<br>
 Suite 441, 4th floor<br>
 30 Great Guildford Street<br>
 London SE1 0HS<br>
 United Kingdom</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentaddress-addressline','PaymentAddress.addressLine')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentAddress.addressLine")}}</p>
</div>
